org.gnome.gtk

## Class ReliefStyle

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.ReliefStyle

-     public final class ReliefStyle
      extends org.freedesktop.bindings.Constant

  The relief to be drawn around a Button. Ordinarily when you think of a Button you think of something that can obviously be pressed, and the relief that GTK theme engines draw around Buttons emphasizes this accordingly. You can, however, change this behaviour with this class.
  Since:
    4.0.1
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ReliefStyle` | `HALF` Only draw relief around the Button "half" the time.
    `static ReliefStyle` | `NONE` Draw no relief around the Button at all.
    `static ReliefStyle` | `NORMAL` Draw normal relief around the Button.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HALF

          public static final ReliefStyle HALF

      Only draw relief around the Button "half" the time.

    - #### NONE

          public static final ReliefStyle NONE

      Draw no relief around the Button at all. This is actually a misnomer: no relief is drawn except when the mouse hovers over it, at which point it suddenly decorates up like the Button it really is. This is terrific when you do not want a Button to attract attention, but want to give a hint that it actually is a Button when the user's mouse hovers over it and when the Button is activated.

    - #### NORMAL

          public static final ReliefStyle NORMAL

      Draw normal relief around the Button. In other words, it looks like something you can press. This is the default.